cancel
Showing results for 
Search instead for 
Did you mean: 

With STM32Cube IDE v1.15.0 update problem with STLink

mcagriaksoy
Associate II

Hello all,

I have updated the STM32Cube IDE version to the 1.15.0, it has own STLinkUpgrade tool which is also updated to version 3.14.5. But a problem arised. It wants me to update my STLink V2 firmware. When I tried, It gives error like:

"Unexpected flash size for ST-Link Micro. Don`t know how to upgrade."

mcagriaksoy_0-1710936591320.png

But I can use the older version 3.13.4 without any problem:

mcagriaksoy_1-1710936651740.png

Is there a problem caused by 3.13.5 or caused by my ST-Link V2?

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
mcagriaksoy
Associate II

Summary: I tried with the latest ST-LINK Updater exe version 3.15.6 and my problem has been resolved.

 

Document: Firmware upgrade for ST-LINK, ST-LINK/V2, ST-LINK/V2-1 and STLINK‑V3 boards - Release note

mcagriaksoy_0-1713437640213.png

It is happy to see my issue on fixes issues list.

The newer version of updater is not embedded on IDE yet. You need to download from here: STSW-LINK007 - ST-LINK, ST-LINK/V2, ST-LINK/V2-1, STLINK-V3 boards firmware upgrade - STMicroelectronics

 

 

View solution in original post

25 REPLIES 25
STTwo-32
ST Employee

Hello @mcagriaksoy 

Can you give more details about the board/MCU that you are using.

Best Regards.

STTwo-32 

To give better visibility on the answered topics, please click on Accept as Solution on the reply which solved your issue or answered your question.

Hello, @STTwo-32 I am using STLink V2, my MCU is "STM32G491CCU"

mcagriaksoy_0-1710942817265.png

 

How about a picture of the bottom side of the STLink.  There are quite a few clones out there.  This may be that the newer updater version had more robust checks for clone units.  Just guessing here.

costi
Associate III

I have the same situation after the last CubeIDE update.

Hi bob, thanks for the message, I am sure that my device is not clone.

I had the same problem. I couldn't do FW update directly from CubeIDE. Nor from CubeProgramer.
I reinstalled STM CubeProgramer using the last version.
I was able to do FW update from this tool then I could use ST_Link/V2 in CubeIDE for programming and debugging.

PHolt.1
Senior II

My v15 updated my STLINK V3 successfully but the debugger is not found afterwards

Encountered Error when opening C:\ST\STM32CubeIDE_1.13.2\STM32CubeIDE\plugins\com.st.stm32cube.ide.mcu.externaltools.cubeprogrammer.win32_2.1.200.202311302303\tools\bin\STM32_Programmer_CLI.exe
Error in STM32CubeProgrammer

(the file is present)

Cube IDE 1.15.0 is brain-dead. I reverted to Cube 1.14.1 and everything works. v15 brings GCC v12 tools and they have other issues - see other threads which suggest that some dud code is generated. But with no working debugger I can't track it down, obviously.

I have the same problem... (

STTwo-32
ST Employee

Hello All, 

For the original issue of the Post, I have reported internally for more investigation via Internal ticket number: 176701. For the second issue initiated by @PHolt.1, it is also reported by my colleague @Imen.D for investigation under ticket number 176694.

(PS: Internal tickets numbers are only for reference, not available outside of ST) 

Best Regards.

STTwo-32

To give better visibility on the answered topics, please click on Accept as Solution on the reply which solved your issue or answered your question.